> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solvapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List plans for a product



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sdk/products/{productRef}/plans
openapi: 3.0.0
info:
  contact: {}
  description: The SolvaPay REST API specification
  title: SolvaPay REST API
  version: '1.0'
servers: []
security: []
tags: []
paths:
  /v1/sdk/products/{productRef}/plans:
    get:
      tags:
        - Plans
      summary: List plans for a product
      operationId: PlanSdkController_listPlans
      parameters:
        - description: Product reference or ID
          in: path
          name: productRef
          required: true
          schema:
            type: string
        - in: query
          name: limit
          required: false
          schema:
            type: number
        - in: query
          name: offset
          required: false
          schema:
            type: number
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  limit:
                    type: number
                  offset:
                    type: number
                  plans:
                    items:
                      $ref: '#/components/schemas/Plan'
                    type: array
                  total:
                    description: Total number of plans for the product
                    type: number
                type: object
          description: Plans retrieved successfully
        '404':
          description: Product not found
      security:
        - SecretKey: []
components:
  schemas:
    Plan:
      properties:
        accessExpiryDays:
          description: Access expiry in days
          type: number
        billingCycle:
          description: Billing cycle
          example: monthly
          type: string
        billingModel:
          description: Billing model
          enum:
            - pre-paid
            - post-paid
          example: pre-paid
          type: string
        createdAt:
          description: Creation timestamp
          type: string
        creditsPerUnit:
          description: Credits per usage unit (integer, >= 1)
          example: 1
          type: number
        currency:
          description: Currency code (ISO 4217)
          example: USD
          type: string
        currencySymbol:
          description: Currency symbol (derived from currency)
          example: $
          type: string
        description:
          description: Plan description
          example: Best for teams getting started
          type: string
        features:
          additionalProperties: true
          description: Plan features
          type: object
        freeUnits:
          description: Number of free units included
          example: 100
          type: number
        isActive:
          description: Whether the plan is active (derived from status)
          example: true
          type: boolean
        limit:
          description: Usage limit for the meter
          example: 10000
          type: number
        limits:
          additionalProperties: true
          description: Usage limits
          type: object
        maxActiveUsers:
          description: Maximum number of active users
          type: number
        measures:
          description: What the plan measures for usage tracking
          example: requests
          type: string
        meterRef:
          description: Meter reference for usage-based plans
          example: mtr_1A2B3C4D
          type: string
        name:
          description: Plan name
          example: Starter
          type: string
        price:
          description: Plan price in cents
          example: 2999
          type: number
        reference:
          description: Plan reference
          example: pln_1A2B3C4D
          type: string
        requiresPayment:
          description: Whether payment is required
          example: true
          type: boolean
        rolloverUnusedUnits:
          description: Whether unused units roll over to next period
          example: false
          type: boolean
        setupFee:
          description: One-time setup fee
          example: 500
          type: number
        status:
          description: Plan status
          example: active
          type: string
        trialDays:
          description: Free trial period in days
          example: 14
          type: number
        type:
          description: Plan type exposed in SDK
          enum:
            - recurring
            - one-time
            - usage-based
            - hybrid
          example: recurring
          type: string
        updatedAt:
          description: Last update timestamp
          type: string
      required:
        - type
        - reference
        - price
        - currency
        - requiresPayment
        - isActive
        - status
        - createdAt
        - updatedAt
      type: object

````